/// <reference types="node" />
import { LarkResponse } from './LarkResponse';
import * as HTTP from "http";
export declare enum HTTP_METHOD {
    GET = 0,
    POST = 1,
    PUT = 2,
    PATCH = 3,
    DELETE = 4,
    COPY = 5,
    HEAD = 6,
    OPTIONS = 7,
    LINK = 8,
    UNLINK = 9,
    PURGE = 10,
    LOCK = 11,
    UNLOCK = 12,
    PROPFIND = 13,
    VIEW = 14
}
/**
 * 基础的动作类
 */
export declare class Action {
    /**
     * 决定这个控制器是否命中
     * 控制器需要根据method决定进行什么样的响应
     */
    method: HTTP_METHOD[];
    path: string;
    action(requset: HTTP.IncomingMessage, requestData: {
        method: HTTP_METHOD;
        query: Object;
        params: Object;
        cookie: Object;
        headers: HTTP.IncomingHttpHeaders;
    }): Promise<LarkResponse>;
}
